Subject: bug#70036: a fix that

From: João Távora <[email-masked]>
Date: Fri, 19 Apr 2024 09:06:41 +0100

On Fri, Apr 19, 2024 at 7:26 AM Theodor Thornhill <[email-masked]> wrote:

> Like this?
>
> I can confirm with yours and this patch the latency is down again, so
> thanks.

I'm very happy it works!

> I'll test a little the difference with/without eglot--managed-buffers.

Yes, do that change, and if you want (_if_ you want) you can clean up
the patch, add some in-code comments explaining the matter, replace
cl-loop with your preferred thing, rename the slightly cryptic
eglot--cached-tdi, maybe set it more explicitly on in eglot--signal-didOpen.
And maybe write a test for the symlink situation, perhaps using my
small experiment, so that it becomes less likely to be broken again
in the future.

João